org.apache.catalina

## Interface AsyncDispatcher

-     public interface AsyncDispatcher

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `dispatch(ServletRequest request, ServletResponse response)` Perform an asynchronous dispatch.

- - ### Method Detail

    - #### dispatch

          void dispatch(ServletRequest request,
                        ServletResponse response)
                 throws ServletException,
                        IOException

      Perform an asynchronous dispatch. The method does not check if the request is in an appropriate state for this; it is the caller's responsibility to check this.
      Parameters:
        `request` - The request object to pass to the dispatch target
        `response` - The response object to pass to the dispatch target
      Throws:
        `ServletException` - if thrown by the dispatch target
        `IOException` - if an I/O error occurs while processing the dispatch

Copyright © 2000-2022 Apache Software Foundation. All Rights Reserved.